Bug 1317427 - [RFE] ceph.log is used for 2 different purposes (ceph and ceph-deploy) , Rename ceph-deploy log file to ceph-deploy-${CLUSTER}.log
Summary: [RFE] ceph.log is used for 2 different purposes (ceph and ceph-deploy) , Rena...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Ceph Storage
Classification: Red Hat
Component: Ceph-Installer
Version: 1.3.2
Hardware: x86_64
OS: All
medium
medium
Target Milestone: rc
: 1.3.3
Assignee: Ken Dreyer (Red Hat)
QA Contact: Vasishta
Bara Ancincova
URL:
Whiteboard:
Depends On: 1304533
Blocks: 1372735
TreeView+ depends on / blocked
 
Reported: 2016-03-14 08:56 UTC by Vikhyat Umrao
Modified: 2019-10-10 11:32 UTC (History)
9 users (show)

Fixed In Version: RHEL: ceph-deploy-1.5.36-1.el7cp Ubuntu: ceph-deploy_1.5.36-2redhat1
Doc Type: Enhancement
Doc Text:
."ceph-deploy" now has its own ceph-deploy-${cluster_name}.log file The `ceph-deploy` utility has now its own `ceph-deploy-${cluster-name}.log` file. Previously, the `${cluster-name}.log` file was used to log `ceph-deploy` entries, which could lead to confusion because this file is also used to log entries related to the Ceph cluster.
Clone Of:
Environment:
Last Closed: 2016-09-29 12:57:09 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Ceph Project Bug Tracker 15112 None None None 2016-03-14 09:01:16 UTC
Red Hat Knowledge Base (Solution) 2200571 None None None 2016-03-16 06:04:17 UTC
Red Hat Product Errata RHSA-2016:1972 normal SHIPPED_LIVE Moderate: Red Hat Ceph Storage 1.3.3 security, bug fix, and enhancement update 2016-09-29 16:51:21 UTC

Description Vikhyat Umrao 2016-03-14 08:56:36 UTC
Description of problem:

[RFE] ceph.log is used for 2 different purposes (ceph and ceph-deploy) , Rename ceph-deploy log file to ceph-deploy.log instead of ceph.log.

Using the same log file for 2 different things is very confusing for users . And this would also make support process easier as you would no longer have to explain what ceph.log is required.


Version-Release number of selected component (if applicable):
Red Hat Ceph Storage 1.3

Comment 2 Vikhyat Umrao 2016-03-14 08:58:58 UTC
Actually both the logs file based on *cluster* name. ceph-deploy uses "ceph.log" because it is using $CLUSTER.log so if you name your cluster $FOO it will write a foo.log

ceph-deploy logs got to the current working directory for installation.  This surely does not conflict with /var/log/ceph/ceph.log which is also  $CLUSTER.log but in different path.

So the whole logic behind these log file name is $CLUSTER name.  But still both have different path.

I have created this bugzilla as RFE and also will open an ceph upstream tracker to take inputs from upstream. 

If it will get accepted in next future release of ceph-deploy log file name would be changed.

Comment 3 Vikhyat Umrao 2016-03-14 09:01:16 UTC
Ceph Upstream Tracker : http://tracker.ceph.com/issues/15112

Comment 5 Vikhyat Umrao 2016-03-15 13:28:50 UTC
Sent an upstream patch : https://github.com/ceph/ceph-deploy/pull/390

Comment 6 Vikhyat Umrao 2016-03-16 06:01:10 UTC
(In reply to Vikhyat Umrao from comment #5)
> Sent an upstream patch : https://github.com/ceph/ceph-deploy/pull/390

Patch is Merged now in master.

Comment 7 Mike McCune 2016-03-28 22:51:39 UTC
This bug was accidentally moved from POST to MODIFIED via an error in automation, please see mmccune@redhat.com with any questions

Comment 14 errata-xmlrpc 2016-09-29 12:57:09 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHSA-2016-1972.html


Note You need to log in before you can comment on or make changes to this bug.